/*
 * The_xmloperator_project Software License, Version 1.7
 *
 * Copyright (c) 2000 - 2003 The_xmloperator_project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *      "This product includes or uses software developped
 *       by The_xmloperator_project (http://www.xmloperator.net/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. Products derived from this software may not be called "xmloperator",
 *    nor may "xmloperator" appear in their name, without prior written
 *    permission. For written permission, please contact
 *    the xmloperator project administrator.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE_XMLOPERATOR_PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * Further information can be found on the project's site
 * (http://www.xmloperator.net/).
 */
package org.xmloperator.framework.view.resource;

public interface Label {
  public static final String CLASS =
    "org.xmloperator.view.resource.ViewResource";
  public static final String MNEMO = "Mnemo"; // utilis en prfixe

  // Textes concernant les documents ou fichiers

  public static final String FICHIER = "Fichier";
  public static final String DOCUMENT = "Document";
  public static final String NOUVEAU_DOCUMENT = "Nouveau document";
  public static final String SELECT_DOCUMENT_TYPE = "Select document type";
  public static final String SELECT_RESULT_DOCUMENT_TYPE =
    "Select result-document type";
  public static final String NOM_DE_FICHIER = "Nom de fichier";
  public static final String DOCUMENT_TYPES = "Document types";
  public static final String DOCUMENT_TYPE = "Document type";
  public static final String ADDITIONAL_KEY = "Additional key";
  public static final String SCHEMA_TYPE = "Schema type";
  public static final String NAMESPACE_IDENTIFIER = "Namespace identifier";
  public static final String DEFAULT_TRANSFORMER = "Default transformer";
  public static final String UNDEFINED = "Undefined";
  public static final String TRANSFORMERS = "Transformers";
  public static final String TRANSFORMER = "Transformer";
  public static final String OPERATOR = "Operator";
  public static final String DOCUMENT_TYPE_NAME = "Document type name";
  public static final String CLASS_NAME = "Class name";
  public static final String PARAM_NAMES = "Param names";
  public static final String APPLY = "Apply";
  public static final String CHOOSE = "Choose";
  public static final String BUILD = "Build";
  public static final String BUILD_DTD = "Build DTD";
  public static final String WITH_PARAMETER_ENTITIES =
    "With parameter entities";
  public static final String WITHOUT_PARAMETER_ENTITIES =
    "Without parameter entities";
  public static final String STYLE_SHEET = "Style sheet";
  public static final String ADD = "Add";
  public static final String NEW = "New";
//  public static final String NEW_TYPE = "New type";
  public static final String SELECTED_TYPE = "Selected type";
  public static final String FICHIER_OPTIONS = "Fichier options";
  public static final String DUPLICATE = "Duplicate";
  public static final String MODIFY = "Modify";
  public static final String EDIT_DTD = "Edit DTD";
  public static final String EDIT_RNG = "Edit RNG";
  public static final String FULL_SYNTAX = "Full syntax";
  public static final String SIMPLIFY_RNG = "Simplify RNG";
  public static final String SIMPLE_SYNTAX = "Simple syntax";
  public static final String GROUP_WITH_MORE_THAN_TWO_CHILDREN =
      "Group with more than two children";
  public static final String REF_RESOLUTION_ONLY = "Ref resolution only";
  public static final String AS = "As";
  public static final String TO_DTDXML_AS = "To DTDXML as";
  public static final String AS_DTD = "As DTD";
  public static final String AS_DTDXML = "As DTDXML";
  public static final String REMOVE_EMPTY_TEXTS = "Remove empty texts";
  public static final String INDENT_ELEMENTS = "Indent elements";
  public static final String ADD_NAMESPACE = "Add namespace";
  public static final String EDIT_SOURCE = "Edit source";
  public static final String REPLACE = "Replace";
  public static final String SUPPRIMER = "Supprimer";
  public static final String MONTER = "Monter";
  public static final String DESCENDRE = "Descendre";
  public static final String NOUVELLE_INSTANCE = "Nouvelle instance";
  public static final String OPEN_DOCUMENT = "Open document";
  public static final String BROWSE = "Browse";
  public static final String ENTER = "Enter";
  public static final String REOUVRIR_DOCUMENT = "Rouvrir document";
  public static final String FERMER_DOCUMENT = "Fermer document";
  public static final String OPEN_DTD = "Open DTD";
  public static final String CLOSE_DTD = "Close DTD";
  public static final String OPEN_RNG = "Open RELAX NG schema";
  public static final String SAVE_DOCUMENT = "Save document";
  public static final String SAVE_AND_RELOAD_DOCUMENT =
    "Save and reload document";
  public static final String SAVE_DOCUMENT_AS = "Save document as";
  public static final String TRANSFORM = "Transform";
  public static final String TRANSFORM_AS = "Transform as";
  public static final String RETRANSFORM = "Retransform";
  public static final String TRANSFORM_INFORMATION = "Transform information";
  public static final String TRANSFORM_PARAMETERS = "Transform parameters";
  public static final String PROCESS_BATCH = "Process batch";
  public static final String MERGE_AS = "Merge as";
  public static final String SAVE_DTD = "Save DTD";
  public static final String SAVE_DTD_AS = "Save DTD as";
  public static final String SAVE_RNG = "Save RNG";
  public static final String QUITTER = "Quitter";
  public static final String SEE = "See";
  public static final String BUILDING = "Building";

  // Textes concernant les ditions

  public static final String EDITION = "Edition";
  public static final String DEFAIRE = "Dfaire";
  public static final String REFAIRE = "Refaire";
  public static final String NOUVEAU_PRECEDENT = "Nouveau prcdent";
  public static final String NOUVEAU_SUIVANT = "Nouveau suivant";
  public static final String NOUVEAU_DESCENDANT = "Nouveau descendant";
  public static final String NEW_ATTRIBUTE = "New attribute";
  public static final String REMOVE_ATTRIBUTE = "Remove attribute";
  public static final String MOVE = "Move";
  public static final String PASSER_PRECEDENT = "Passer prcdent";
  public static final String PASSER_SUIVANT = "Passer suivant";
  public static final String PASSER_DESCENDANT = "Passer descendant";
  public static final String PASSER_PARENT = "Passer parent";
  public static final String TO_BE_MOVED = "To be moved";
  public static final String REORDER_ASCENDING = "Reorder ascending";
  public static final String REORDER_DESCENDING = "Reorder descending";
  public static final String EMPAQUETER = "Empaqueter";
  public static final String DEPAQUETER = "Dpaqueter";
  public static final String JOINDRE_SUIVANT = "Joindre au suivant";
  public static final String DIVISER = "Diviser";
  public static final String SPECIAL = "Special";
  public static final String EXPANSER = "Expanser entirement";
  public static final String LECTURE_SEULE = "lect.seule";
  public static final String READY = "Ready";
  public static final String DOCUMENT_MODIFIE = "Modifi";
  public static final String RAPPORT = "Rapport";
  public static final String REJETER = "Rejeter";
  public static final String TOUT_REJETER = "Tout rejeter";
  public static final String EXECUTER = "Excuter";
  public static final String TOUT_EXECUTER = "Tout excuter";

  // Textes concernant la gestion de fragment

  public static final String FRAGMENT = "Fragment";
  public static final String CUT = "Cut";
  public static final String COPY = "Copy";
  public static final String COPY_TO_CLIPBOARD = "Copy to clipboard";
  public static final String PASTE_BEFORE = "Paste before";
  public static final String PASTE_AFTER = "Paste after";
  public static final String PASTE_UNDER = "Paste under";
  public static final String PASTE_CLIPBOARD_BEFORE = "Paste clipboard before";
  public static final String PASTE_CLIPBOARD_AFTER = "Paste clipboard after";
  public static final String PASTE_CLIPBOARD_UNDER = "Paste clipboard under";
  public static final String COPY_FRAGMENT_TO_CLIPBOARD =
      "Copy fragment to clipboard";
  public static final String COPY_CLIPBOARD_TO_FRAGMENT =
      "Copy clipboard to fragment";

  // Textes concernant les vues

  public static final String VOIR = "Voir";
  public static final String CHERCHER = "Chercher";
  public static final String EVALUATE = "Evaluate";
  public static final String COMPARE = "Compare";
  public static final String ASSOCIATE = "Associate";
  public static final String ASSOCIATED_ELEMENT = "Associated element";
  public static final String DISASSOCIATE = "Disassociate";
  public static final String MERGE = "Merge";
  public static final String STATISTIQUE = "Statistique";
  public static final String IGNORE_CASE = "Ignore case";
  public static final String ENTIRE_CONFORMANCE = "Entire conformance";
  public static final String BROWSING = "Browsing";
  public static final String OPERATIONS = "Oprations";
  public static final String TOUT_DEFAIRE = "Tout dfaire";
  public static final String TOUT_REFAIRE = "Tout refaire";
  public static final String EFFACER_DEFAIRE = "Effacer dfaire";
  public static final String EFFACER_REFAIRE = "Effacer refaire";
  public static final String CHARGER = "Charger";
  public static final String ENREGISTRER = "Enregistrer";
  public static final String CHARGER_OPERATIONS = "Charger oprations";
  public static final String ENREGISTRER_OPERATIONS_SOUS =
    "Enregistrer oprations sous";
  public static final String EFFACER = "Effacer";
  public static final String IMPORT = "Import";
  public static final String TO_CLIPBOARD = "To clipboard";
  public static final String FROM_CLIPBOARD = "From clipboard";
  public static final String SELECTION_D_INSTANCE = "Slection d'instance";
  public static final String INSTANCE_OUTIL = "Instance xmloperator";
  public static final String ELEMENTS_REFERENCANT = "Elments rfrenant";
  public static final String INVALID_ELEMENT = "Invalid element";
  public static final String REFERING = "Refering";
  public static final String CIBLE = "Cible";
  public static final String RESULTAT_DE_RECHERCHE = "Rsultat de recherche";
  public static final String BROWSING_HISTORY = "Browsing history";
  public static final String ERREURS = "Erreurs";
  public static final String EXCEPTION_TRACE = "Exception trace";
  public static final String SOURCE = "Source";
  public static final String RECONSTRUIRE = "Reconstruire";
  public static final String CHANGE_LAYOUT = "Change layout";
  public static final String ELEMENT = "Element";
  public static final String NOMBRE = "Nombre";
  public static final String LINE_NUMBER = "Line";
  public static final String COLUMN_NUMBER = "Column";
  public static final String LOCATION = "Location";
  public static final String ELEMENT_AT_LOCATION = "Element at location";
  public static final String CONTENT_MODEL = "Content model";
  public static final String CONTENT_MODEL_OF = "Content model of ";
  public static final String ELEMENT_LABELLING = "Element labelling";

  // Textes concernant les options

  public static final String OPTIONS = "Options";
  public static final String OPTIONS_DE_L_OUTIL = "Options de l'outil";
  public static final String MODIFIER_OPTIONS = "Modifier";
  public static final String ENREGISTRER_OPTIONS = "Enregistrer";
  public static final String OPTIONS_OUTILS_ENREGISTREES =
    "Les options de l'outil sont enregistres";
  public static final String OPTIONS_DOCUMENT_ENREGISTREES =
    "Les options attaches au type de document sont enregistres";
  public static final String RECHARGER = "Recharger";
  public static final String OPTIONS_OUTILS_RECHARGEES =
    "Les options de l'outil sont recharges";
  public static final String OPTIONS_DOCUMENT_RECHARGEES =
    "Les options attaches au type de document sont recharges";
  public static final String EDITER = "Editer";
  public static final String GENERAL = "General";
  public static final String ADVANCED_USE = "Advanced use";
  public static final String PATHS = "Paths";
  public static final String CHARGEMENT = "Chargement";
  public static final String OPEN_ERRORS_WINDOW_ON_ERRORS =
    "Open errors window on errors";
  public static final String RESOURCES_MAX_COUNT = "Resources max count";
  public static final String READONLY_PATH = "Read only path";
  public static final String CHEMIN_DE_RECHERCHE_XML =
    "Chemin de recherche XML";
  public static final String CHEMIN_DE_RECHERCHE_XSL =
    "Chemin de recherche XSL";
  public static final String CHEMIN_DE_RECHERCHE_DTD =
    "Chemin de recherche DTD";
  public static final String CHEMIN_DE_RECHERCHE_RNG =
    "Chemin de recherche RNG";
  public static final String CHEMIN_DE_RECHERCHE_OPTIONS =
    "Chemin de recherche options";
  public static final String CHEMIN_DE_RECHERCHE_OPERATIONS =
    "Chemin de recherche operations";
  public static final String FILE_EXTENSIONS = "File extensions";
  public static final String DTD_AUTOMATIC_LOADING = "DTD automatic loading";
  public static final String RNG_AUTOMATIC_LOADING =
    "RNG schema automatic loading";
  public static final String PARSING = "Parsing";
  public static final String ENREGISTREMENT = "Enregistrement";
  public static final String XSLT = "XSLT";
  public static final String DEFAULT_ENCODING = "Default encoding";
  public static final String INCLUDE_DOCTYPE_NODE = "Include DOCTYPE node";
  public static final String UTILISATION_DU_RACCOURCI_POUR_ELEMENT_VIDE =
    "Utilisation du raccourci pour lment vide";
  public static final String FILE_NAME_AUTOMATIC_INCREMENTING =
    "File name automatic incrementing";
  public static final String DOCTYPE_IF_DTD = "DOCTYPE if DTD";
  public static final String TRACE_PATH_NAME = "Trace path name";
  public static final String TRACE_ELEMENTS = "Trace elements";
  public static final String TRACE_GENERATION = "Trace generation";
  public static final String TRACE_SELECTION = "Trace selection";
  public static final String TRACE_TEMPLATES = "Trace templates";
  public static final String TRACE_TEMPLATE_CHILDREN =
    "Trace template children";
  public static final String QUIET_CONFLICT_WARNINGS =
    "Quiet conflict warnings";
  public static final String IDENTIFICATION = "Identification";
  public static final String LONGUEUR_IDENTIFIANT = "Longueur identifiant";
  public static final String ID_PREFIX = "ID prefix";
  public static final String SAUVEGARDE_DES_OPERATIONS =
    "Sauvegarde des oprations";
  public static final String CONFIRMATION_DES_SUPPRESSIONS_MULTIPLES =
    "Confirmation des suppressions multiples";
  public static final String EFFACEMENT_DE_DEFAIRE_APRES_ENREGISTREMENT =
    "Effacement de dfaire aprs enregistrement";
  public static final String ALLOWS_COMMENTS = "Allows comments";
  public static final String ALLOWS_PROCESSING_INSTRUCTIONS =
    "Allows processing instructions";
  public static final String ALLOWS_CDATA_SECTIONS = "Allows CDATA sections";
  public static final String ALLOWS_ENTITY_REFERENCES =
    "Allows entity references";
  public static final String CONFIRMATION_DE_CHARGEMENT_D_OPERATION =
    "Confirmation de chargement d'opration";
  public static final String NODE_TYPE = "Node type";
  public static final String AFFICHAGE = "Affichage";
  public static final String STATUS_BAR = "Status bar";
  public static final String STATUS = "Status";
  public static final String COMPARISON = "Comparison";
  public static final String FONTE = "Fonte";
  public static final String NORMALE = "normale";
  public static final String GRANDE = "grande";
  public static final String PROPORTIONAL = "proportional";
  public static final String MONOSPACED = "monospaced";
  public static final String AUTOMATIC_ELEMENT_LABELLING =
      "Automatic element labelling";
  public static final String MESSAGE_PERSISTENCE_TIME_SECOND =
    "Message persistence time (second)";
  public static final String COMPOSITION_DU_LIBELLE_D_UN_NOEUD =
    "Composition du libell d'un noeud";
  public static final String ADD_LINEFEED_AT_STARTTAGEND =
      "Add line feed at start tag end";
  public static final String LANGUE = "Langue";
  public static final String DEFAULT = "default";
  public static final String FALSE = "false";
  public static final String TRUE = "true";
  public static final String NO = "no";
  public static final String YES = "yes";
  public static final String CACHE = "hidden";
  public static final String AFFICHE = "displayed";
  public static final String ABSOLUTE = "absolute";
  public static final String RELATIVE = "relative";

  // Textes utiliss dans la vue de dtail

  public static final String TYPE = "Type";
  public static final String NAME = "Name";
  public static final String ATTRIBUTE = "Attribute";
  public static final String VALUE = "Value";
  public static final String GOTO = "goto";
  public static final String ATTRIBUTS = "Attributs";
  public static final String NO_VALUE = "NoValue";
  public static final String CANCEL = "Cancel";
  public static final String CANCEL_MOVE = "Cancel move";
  public static final String PARAMETER = "Parameter";
  public static final String THE_USED_DTD_IS_NOT_ATTACHED_TO_THE_DOCUMENT =
    "The used DTD is not attached to the document";
  public static final String VALID_CONTENT = "valid content";
  public static final String NOT_VALID_CONTENT = "not valid content";
  public static final String SELECT_ATTRIBUTE = "Select attribute";
  public static final String RETURN_TO_ATTRIBUTE_TABLE =
      "Return to attribute table";

  // Textes utiliss dans les dialogues

  public static final String VALIDER = "Valider";
  public static final String ANNULER = "Annuler";
  public static final String START = "Start";
  public static final String NEXT = "Next";
  public static final String LOCATION_PATH_WIZZARD = "Location path wizzard";
  public static final String SAVE = "Save";
  public static final String SAVE_AS = "Save as";
  public static final String PATH_NAME = "Path name";
  public static final String A_PROPOS = "A propos";
  public static final String SEE_EXCEPTION = "See exception";
  public static final String IRREVERSIBLE_ACTION = "Irreversible action";
  public static final String DOCUMENT_NON_ENREGISTRE =
    "Document non enregistr";
  public static final String LE_FICHIER_EXISTE_DEJA = "Le fichier existe dja";
  public static final String MODIFICATIONS_NON_ENREGISTREES =
    "Modifications non enregistres";
  public static final String LE_DOCUMENT_EST_EN_LECTURE_SEULE =
    "Le document est en lecture seule";
  public static final String ID_DEJA_UTILISE = "Id dja utilis";
  public static final String DOCUMENT_TYPE_ALREADY_DEFINED =
    "Type de document dja dfini";
  public static final String ADDITIONAL_KEY_HAS_BEEN_CHANGED =
    "Additional key has been changed";
  public static final String TRANSFORMER_ALREADY_DEFINED =
    "Transformer already defined";
  public static final String TRANSFORMER_NAME_HAS_BEEN_CHANGED =
    "Transformer name has been changed";
  public static final String BUILDING_DTD = "Building DTD";
  public static final String DTD_IS_BUILT = "DTD is built";
  public static final String BUILDING_RNG_SIMPLE_SYNTAX =
    "Building RNG simple syntax";
  public static final String RNG_SIMPLE_SYNTAX_IS_BUILT =
    "RNG simple syntax is built";
  public static final String DO_YOU_CONFIRM = "Do you confirm";
  public static final String REMOVING_THE_EMPTY_TEXTS =
      "Removing the empty texts";
  public static final String INDENTING_ELEMENTS =
      "Indenting the elements";
  public static final String REMOVING_A_DOCUMENT_TYPE =
      "Removing a document type";
  public static final String REMOVING_A_TRANSFORMER =
      "Removing a transformer";
  public static final String L_ABANDON_DES_MODIFICATIONS =
    "l'abandon des modifications";
  public static final String L_ECRASEMENT_DE = "l'crasement de";
  public static final String ELEMENT_NAME = "Element name";
  public static final String REPLACEMENT_ELEMENT_NAME =
    "Replacement element name";
  public static final String PACK_ELEMENT_NAME = "Pack element name";
  public static final String CHILD_ELEMENT_NAME = "Child element name";
  public static final String SIBLING_ELEMENT_NAME = "Sibling element name";
  public static final String CHILD_ELEMENT_OR_ATTRIBUTE_NAME =
    "Child element or attribute name";
  public static final String ENTITY_NAME = "Entity name";
  public static final String PREFIX = "Prefix";
  public static final String ATTRIBUTE_PREFIX = "Attribute prefix";
  public static final String LOCAL_NAME = "Local name";
  public static final String ATTRIBUTE_LOCAL_NAME = "Attribute local name";
  public static final String QUALIFIED_NAME = "Qualified name";
  public static final String ATTRIBUTE_QUALIFIED_NAME =
    "Attribute qualified name";
  public static final String ROOT_ELEMENT_NAME = "Root element name";
  public static final String TEXT_OF_LEAF_ELEMENT = "Text of leaf element";
  public static final String ALL_ATTRIBUTES = "All attributes";
  public static final String ALL_SINGLE_ELEMENTS = "All single elements";
  public static final String ALL_ATTRIBUTES_AND_SINGLE_ELEMENTS =
      "All attributes and single elements";
  public static final String THE_ATTRIBUTE_WITH_THAT_NAME =
      "The attribute with that name";
  public static final String THE_SINGLE_ELEMENT_WITH_THAT_NAME =
      "The single element with that name";

  // Textes utiliss dans les messages

  public static final String RESSOURCE_INVALIDE = "Ressource invalide";
  public static final String CHARGE = "Charge";
  public static final String NOTE_IDS = "Note ids";
  public static final String PREPARE_VUE = "Prpare vue";
  public static final String DOCUMENT_EN_LECTURE_SEULE =
    "Document en lecture seule";
  public static final String MOVE_IN_PROGRESS = "Move in progress";
  public static final String
    OUVERTURE_EN_LECTURE_SEULE_POUR_CAUSE_D_EXISTENCE_DE_FICHIER_TMP =
    "Ouverture en lecture seule pour cause d'existence de fichier .tmp";
  public static final String ENREGISTREMENT_EN_COURS =
    "Enregistrement en cours";
  public static final String FUSION_EN_COURS = "Fusion en cours";
  public static final String TRANSFORMATION_IN_PROGRESS =
      "Transformation in progress";
  public static final String COMPARISON_IN_PROGRESS = "Comparison in progress";
  public static final String THIS_DOCUMENT_HAS_NO_DTD_EXTERNAL_SUBSET =
    "This document has no DTD external subset";
  public static final String HAVE_BEEN_REPLACED_FOR_WRITING_OUT =
    "have been replaced for writing out";
  public static final String AN_ELEMENT_MUST_BE_SELECTED =
      "An element must be selected";
  public static final String UN_ELEMENT_NE_PEUT_PAS_VENIR_LA =
    "Un lment de peut pas venir l";
  public static final String IL_N_EST_PAS_DEFINI_D_ENTITE =
    "Il n'est pas dfini d'entit";
  public static final String NE_PEUT_AVOIR_DE_DESCENDANT =
    "Ne peut avoir de descendant";
  public static final String NE_PEUT_AVOIR_DE_SUIVANT =
    "Ne peut avoir de suivant";
  public static final String NE_PEUT_AVOIR_DE_PRECEDANT =
    "Ne peut avoir de prcdent";
  public static final String THERE_ARE_NOT_ELEMENTS_WITH_THE_SAME_NAME =
    "There are not elements with the same name";
  public static final String NO_OPERATOR_DEFINED =
    "There is no operator defined";
  public static final String OPERATION_INTERDITE = "Opration interdite";
  public static final String NOT_ALLOWED_BECAUSE_MIXED_CONTENT =
      "Not allowed because mixed content";
  public static final String COLLAGE_INTERDIT = "Collage interdit";
  public static final String CLIPBOARD_IS_EMPTY = "The clipboard is empty";
  public static final String NOT_FOUND = "Not found";
  public static final String CHANGES_ARE_NOT_SAVED = "Changes are not saved";
  public static final String RESULT = "Result";
  public static final String ILLEGAL_PATH_NAME = "Illegal path name";
  public static final String NO_TRANSFORMER_DEFINED =
      "No transformer is defined";
  public static final String NO_TRANSFORMER_CLASS_DEFINED =
    "No transformer class is defined";
  public static final String NO_OPERATOR_CLASS_DEFINED =
    "No operator class is defined";
  public static final String NO_STYLE_SHEET_DEFINED =
    "No style sheet is defined";
  public static final String ELEMENT_SEQUENCE_NOT_SCHEMA_CONFORMANT =
    "Element sequence is not schema conformant";
  public static final String ELEMENT_CONTENT_NOT_SCHEMA_CONFORMANT =
    "Element content is not schema conformant";
  public static final String NODES_REMOVED = "node(s) removed";
  public static final String THERE_IS_NO_OTHER_OPENED_INSTANCE =
    "There is no other opened instance";
  public static final String THERE_IS_NO_OPENED_DOCUMENT_FILE =
    "There is no opened document file";
  public static final String THERE_IS_NO_ASSOCIATED_DOCUMENT =
    "There is no associated document";
  public static final String THE_DOCUMENTS_HAVE_NOT_THE_SAME_TYPE =
    "The documents have not the same type";
  public static final String ROOT_ELEMENTS_ARE_NOT_ASSOCIATED =
    "Root elements are not associated";
  public static final String THIS_ACTION_REQUIRES_AN_OPENED_DOCUMENT =
    "This action requires an opend document";
  public static final String CANCELED = "Canceled";
  public static final String ALREADY_EXISTS = "Already exists";
  public static final String THIS_ATTRIBUTE_IS_REQUIRED =
    "This attribute is required";
  public static final String THIS_ELEMENT_IS_DEEPLY_VALID =
    "This element is deeply valid";
  public static final String EXPANDING_NODES = "Expanding nodes";

  // Textes utiliss dans les conversions

  public static final String LAST_UPDATE = "Last update";
  public static final String USER_GUIDE = "User guide";
  public static final String DEPENDENCIES = "dependencies";
  public static final String DEPENDS_ON = "depends on";
  public static final String OBJECT_SCHEMA = "Object schema";
}
